%define _legacy_common_support 1
%define tarver	%{expand:%(echo %{version}|rev|sed 's/\\\./\-/'|rev)}

Name:		simh
Summary:	A collection of simulators of historically significant data processing systems
Version:	3.11.1
Release:	%mkrel 1
License:	MIT and GPLv1+
Group:		Emulators
Url:		https://github.com/simh/simh
Source0:	simh-%{tarver}-noroms.tar.gz
# ./simh-create-tarball.sh 3.11.1
Source1:	simh-create-tarball.sh

BuildRequires:	pcap-devel

%description
This package contains simulators of the following systems:
* Data General Nova, Eclipse
* Digital Equipment Corporation PDP-1, PDP-4, PDP-7, PDP-8, PDP-9, PDP-10,
  PDP-11, PDP-15, VAX
* GRI Corporation GRI-909, GRI-99
* IBM 1401, 1620, 7090/7094, System 3
* Interdata (Perkin-Elmer) 16b and 32b systems
* Hewlett-Packard 2114, 2115, 2116, 2100, 21MX, 1000
* Honeywell H316/H516
* MITS Altair 8800, with both 8080 and Z80
* Royal-Mcbee LGP-30, LGP-21
* Scientific Data Systems SDS 940

%prep
%setup -q -n %{name}-%{tarver}

%build
%set_build_flags
# Parallel build is unreliable
make CFLAGS_G="$CFLAGS"
pushd BIN
for i in *; do
	mv -v ${i} %{name}-${i}
done
popd

%install
mkdir -p %{buildroot}%{_bindir}
install -m 755 BIN/* %{buildroot}%{_bindir}

%files
%doc *.txt */*txt
%{_bindir}/%{name}-*


%changelog
* Thu Aug 20 2020 barjac <barjac> 3.11.1-1.mga8
+ Revision: 1616615
-fcommon to fix build
- new version 3.11.1
- fix tarball create script

* Fri Feb 14 2020 umeabot <umeabot> 3.9.0-4.mga8
+ Revision: 1517039
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 3.9.0-3.mga7
+ Revision: 1301034
- Mageia 7 Mass Rebuild

* Wed Sep 20 2017 cjw <cjw> 3.9.0-2.mga7
+ Revision: 1156443
- pass optflags to make to fix debug packages

* Fri Apr 01 2016 barjac <barjac> 3.9.0-1.mga6
+ Revision: 997529
- clean spec and re-work for mga
- import simh with thanks to Fedora

